WSDiscovery11::Elements::ProbeMatches(3pm)

NAME
WSDiscovery::Elements::ProbeMatches

DESCRIPTION
Perl data type class for the XML Schema defined element ProbeMatches from the namespace http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01.

METHODS

  new
 my $element = WSDiscovery::Elements::ProbeMatches->new($data);

Constructor. The following data structure may be passed to new():

 { # WSDiscovery::Types::ProbeMatchesType
   ProbeMatch =>  { # WSDiscovery::Types::ProbeMatchType
     EndpointReference =>  { # WSDiscovery::Types::EndpointReferenceType
       Address =>  { value => $some_value },
       ReferenceParameters =>  { # WSDiscovery::Types::ReferenceParametersType
       },
       Metadata =>  { # WSDiscovery::Types::MetadataType
       },
     },
     Types => $some_value, # QNameListType
     Scopes =>  { value => $some_value },
     XAddrs => $some_value, # UriListType
     MetadataVersion =>  $some_value, # unsignedInt
   },
 },

AUTHOR
Generated by SOAP::WSDL